Github messages for voidlinux
 help / color / mirror / Atom feed
From: sbromberger <sbromberger@users.noreply.github.com>
To: ml@inbox.vuxu.org
Subject: [PR PATCH] Incus: update run - fixes #48356
Date: Wed, 24 Jan 2024 19:20:40 +0100	[thread overview]
Message-ID: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-48357@inbox.vuxu.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 1012 bytes --]

There is a new pull request by sbromberger against master on the void-packages repository

https://github.com/sbromberger/void-packages patch-4
https://github.com/void-linux/void-packages/pull/48357

Incus: update run - fixes #48356
Fixes #48356.

<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
#### Local build testing
- I built this PR locally for my native architecture, `Linux elemental 6.6.11_1 #1 SMP PREEMPT_DYNAMIC Sat Jan 13 23:28:15 UTC 2024 x86_64 GNU/Linux`



A patch file from https://github.com/void-linux/void-packages/pull/48357.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-patch-4-48357.patch --]
[-- Type: text/x-diff, Size: 860 bytes --]

From 392fad55cd7f9b6449fe1fc5a14a680c9a17b74a Mon Sep 17 00:00:00 2001
From: Seth Bromberger <sbromberger@users.noreply.github.com>
Date: Wed, 24 Jan 2024 10:18:53 -0800
Subject: [PATCH] Update run

Fixes #48356.
---
 srcpkgs/incus/files/incus/run | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/srcpkgs/incus/files/incus/run b/srcpkgs/incus/files/incus/run
index d189b4395b90f..434018a1f77c7 100644
--- a/srcpkgs/incus/files/incus/run
+++ b/srcpkgs/incus/files/incus/run
@@ -1,4 +1,11 @@
 #!/bin/sh
 exec 2>&1
+_systemd_cgrp="/sys/fs/cgroup/systemd"
+if [ ! -d ${_systemd_cgrp} ]; then
+        mkdir ${_systemd_cgrp}
+fi
+if ! mountpoint -q "${_systemd_cgrp}"; then
+        mount -t cgroup -o none,name=systemd cgroup ${_systemd_cgrp}
+fi
 [ -r conf ] && . ./conf
 exec /usr/libexec/incus/incusd --group _incus-admin --syslog ${OPTS:- --verbose}

             reply	other threads:[~2024-01-24 18:20 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-24 18:20 sbromberger [this message]
2024-01-24 19:00 ` Incus: update to 04.0_1 dkwo
2024-01-24 19:01 ` dkwo
2024-01-24 19:08 ` sbromberger
2024-01-24 19:34 ` CameronNemo
2024-01-24 21:15 ` [PR PATCH] [Closed]: " sbromberger
2024-01-24 21:15 ` sbromberger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-48357@inbox.vuxu.org \
    --to=sbromberger@users.noreply.github.com \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).